Есть ли способ использовать JAVA на Ubuntu после того, как FF остановил поддержку NPAPI?

7

Mozilla объявила, что NPAPI не будет поддерживаться с момента выпуска версии 52. Это означает, что Java также не поддерживается.

Браузеры на основе хрома не поддерживают java уже некоторое время.

На java.com они предлагают использовать Internet Explorer или Safari.

Я использую приложение Java для подписывания банковских документов. Есть ли способ использовать Java в Ubuntu?

    
задан Pilot6 08.03.2017 в 17:14
источник

3 ответа

4

Java Runtime Environment (JRE) по-прежнему доступна для Ubuntu; он предоставляется репозиторием третьей части с обновлением имени пакета-sun-jre. Очевидно, что это не будет работать в браузере, когда браузер отключил API, который он использует, но если ваше подписание может быть выполнено в автономном режиме, это, скорее всего, решит проблему для вас.

В противном случае вы можете изучить причины, которые Mozilla предоставила для сброса NPAPI - все это сводится к безопасности. Flash и Java, основные пользователи этого API, являются кошмарами безопасности, и тенденция в дизайне браузера уже несколько лет уходит от этих помощников в XML и HTML5 для выполнения тех же заданий. Возможно, неплохо спросить ваш банк, когда они будут обновлять более безопасные инструменты, или как вы можете обеспечить безопасность своего подключения к ним, если они настаивают на использовании устаревших инструментов.

Другая возможность, хотя я не знаю, как долго она останется жизнеспособной, - это перейти к браузеру SeaMonkey. Это Firefox под кожей, но он похож на старый Netscape Internet Suite - и в настоящее время по-прежнему поддерживает Java (и flash, через pepperflash-plugin). Это, как правило, несколько версий за Firefox, поэтому вам может понадобиться некоторое время для лучшего решения.

Последний, и самый худший вариант ИМО - использовать Wine для установки и запуска Internet Explorer, но я бы даже не упомянул, что это возможно при обсуждении этой проблемы безопасности с вашим банком.

    
ответ дан Zeiss Ikon 08.03.2017 в 17:34
2

Я наткнулся на ту же проблему и не мог позволить себе не запускать Java для моего онлайн-банкинга.

Я установил Seamonkey 2.46 ( 64 бит) в отдельной папке, и она работала нормально. Это похоже на просмотр в 90-х годах.

    
ответ дан Alexandre 09.03.2017 в 03:00
0

Вы можете временно восстановить поддержку NPAPI с помощью этой процедуры:

  

Но есть способ включить Java, Silverlight и т. д. Плагины NPAPI в   Firefox 52 с настройкой about: config. Добавить новую строку Boolean   "plugin.load_flash_only" и установите значение false. Затем перезапустите   браузер.

Источник     

ответ дан Organic Marble 09.03.2017 в 19:40